package info.visone.nlpext;

import java.io.IOException;

import org.apache.log4j.Logger;

import info.visone.base.Mediator;
import info.visone.ext.Extension;
import info.visone.ext.ExtensionService;

public class NLPExtensionService implements ExtensionService {

    private static final Logger LOGGER = Logger.getLogger(NLPExtensionService.class);

    @Override
    public Extension makeExtension(Mediator mediator) {
        try {
            return new NLPExtension(mediator);
        } catch (IOException e) {
            LOGGER.warn("Could not load NLP extension.", e);
            return null;
        }
    }

    @Override
    public String getMainClassName() {
        return NLPExtension.class.getCanonicalName();
    }
}
